> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Relay a Safe withdrawal via shared Nexus relayer

> Relay a signed Safe execTransaction via a shared AWS-owned Nexus account with sponsored gas



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/deposit-service.json post /safe/withdraw
openapi: 3.1.0
info:
  title: Deposit Service API
  version: 1.0.0
  description: >-
    Cross-chain deposit processing service with automatic token bridging and gas
    sponsorship
servers:
  - url: https://v1.orchestrator.rhinestone.dev/deposit-processor
security: []
paths:
  /safe/withdraw:
    post:
      tags:
        - Processing
      summary: Relay a Safe withdrawal via shared Nexus relayer
      description: >-
        Relay a signed Safe execTransaction via a shared AWS-owned Nexus account
        with sponsored gas
      parameters:
        - schema:
            type: string
            description: API key for authentication
            example: your-api-key
          required: true
          description: API key for authentication
          name: x-api-key
          in: header
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version identifier (e.g. "2026-04.amazon"). Optional today,
              will become required in a future release.
            example: 2026-04.amazon
          required: false
          description: >-
            API version identifier (e.g. "2026-04.amazon"). Optional today, will
            become required in a future release.
          name: x-api-version
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawRequestBody'
      responses:
        '200':
          description: Withdrawal relayed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawResponse'
        '400':
          description: Invalid request or unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Relay failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WithdrawRequestBody:
      type: object
      properties:
        chainId:
          anyOf:
            - type: integer
              minimum: 0
              exclusiveMinimum: true
            - type: string
              pattern: ^[a-z0-9]+:[a-zA-Z0-9]+$
          description: >-
            Chain identifier as a positive integer or CAIP-2 string (e.g.
            "eip155:8453")
          example: eip155:8453
        safeAddress:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
          description: Ethereum address (0x followed by 40 hex characters)
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
        safeTransaction:
          $ref: '#/components/schemas/SafeTransaction'
        signature:
          type: string
          pattern: ^0x[a-fA-F0-9]+$
          description: Hex-encoded string (0x followed by hex characters)
          example: '0x1234abcd'
      required:
        - chainId
        - safeAddress
        - safeTransaction
        - signature
    WithdrawResponse:
      type: object
      properties:
        message:
          type: string
        txHash:
          type: string
          pattern: ^0x[a-fA-F0-9]+$
          description: Hex-encoded string (0x followed by hex characters)
          example: '0x1234abcd'
      required:
        - message
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
              code:
                type: string
            required:
              - message
      required:
        - error
    SafeTransaction:
      type: object
      properties:
        to:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
          description: Ethereum address (0x followed by 40 hex characters)
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
        value:
          type: string
          pattern: ^\d+$
          description: Numeric string representing a bigint value
          example: '1000000000000000000'
        data:
          type: string
          pattern: ^0x[a-fA-F0-9]+$
          description: Hex-encoded string (0x followed by hex characters)
          example: '0x1234abcd'
        operation:
          anyOf:
            - type: number
              enum:
                - 0
            - type: number
              enum:
                - 1
        safeTxGas:
          type: string
          pattern: ^\d+$
          description: Numeric string representing a bigint value
          example: '1000000000000000000'
        baseGas:
          type: string
          pattern: ^\d+$
          description: Numeric string representing a bigint value
          example: '1000000000000000000'
        gasPrice:
          type: string
          pattern: ^\d+$
          description: Numeric string representing a bigint value
          example: '1000000000000000000'
        gasToken:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
          description: Ethereum address (0x followed by 40 hex characters)
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
        refundReceiver:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
          description: Ethereum address (0x followed by 40 hex characters)
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
        nonce:
          type: string
          pattern: ^\d+$
          description: Numeric string representing a bigint value
          example: '1000000000000000000'
      required:
        - to
        - value
        - data
        - operation
        - safeTxGas
        - baseGas
        - gasPrice
        - gasToken
        - refundReceiver
        - nonce

````